报错:


Execution failed for task ':processArmv7DebugManifest'.
> Manifest merger failed : Attribute meta-data#android.support.VERSION@value value=(25.3.1) from [com.android.support:appcompat-v7:25.3.1] AndroidManifest.xml:27:9-31
        is also present at [com.android.support:support-v4:26.0.0-alpha1] AndroidManifest.xml:27:9-38 value=(26.0.0-alpha1).
        Suggestion: add 'tools:replace="android:value"' to <meta-data> element at AndroidManifest.xml:25:5-27:34 to override.


然后,我以某种方式意识到该build.gradle文件存在project-folder/platforms/android所以我把这段代码片段添加到了build.gradle文件的末尾。它神奇地工作!

configurations.all {
    resolutionStrategy.eachDependency { DependencyResolveDetails details ->
        def requested = details.requested
        if (requested.group == 'com.android.support') {
            if (!requested.name.startsWith("multidex")) {
                details.useVersion '25.3.1'
            }
        }
    }
}

非常感谢国外大佬!!!!!!!

链接:https://forum.ionicframework.com/t/solved-ionic-run-android-com-android-support-conflicting-v26-alpha1-and-v25-3-1/91826/23

连接:https://stackoverflow.com/questions/42949974/android-support-repo-46-0-0-with-android-studio-2-3


欢迎留言